Bug 151522 - subscription confirmation -> click link in email and cancel == traceback
subscription confirmation -> click link in email and cancel == traceback
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mailman (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-18 16:47 EST by Ben Levenson
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:06:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2005-03-18 16:47:54 EST
Description of problem:
1- subscribe to a list
2- click on the link provided in the confirmation email
3- click "cancel my subscription request"

Version-Release number of selected component (if applicable):
mailman-2.1.5-24.rhel3

How reproducible:
verified on ppc, ia64, and i386.
  
Actual results:
Bug in Mailman version 2.1.5

We're sorry, we hit a bug!

If you would like to help us identify the problem, please email a copy of this
page to the webmaster for this site with a description of what happened. Thanks!
Traceback:

Traceback (most recent call last):
  File "/var/mailman/scripts/driver", line 87, in run_main
    main()
  File "/var/mailman/Mailman/Cgi/confirm.py", line 114, in main
    subscription_cancel(mlist, doc, cookie)
  File "/var/mailman/Mailman/Cgi/confirm.py", line 312, in subscription_cancel
    userdesc = mlist.pend_confirm(cookie)[1]
  File "/var/mailman/Mailman/Pending.py", line 141, in pend_confirm
    assert self.Locked()
AssertionError

Python information:

Variable	Value
sys.version	2.2.3 (#1, Feb 2 2005, 12:38:05) [GCC 3.2.3 20030502 (Red Hat Linux
3.2.3-49)]
sys.executable	/usr/bin/python
sys.prefix	/usr
sys.exec_prefix	/usr
sys.path	/usr
sys.platform	linux2

Environment variables:

Variable	Value
PATH_INFO 	/before-upgrade
CONTENT_LENGTH 	117
CONTENT_TYPE 	application/x-www-form-urlencoded
HTTP_COOKIE 
after-upgrade+admin=280200000069361c3b42732800000039636337663261393232623937306665313733626332396135646235393638333665326666383431;
before-upgrade+admin=2802000000699a483b42732800000032613938633738386439333864333663336230613734306632313533663338636639323361636136;
rh_auth_token=578122:1111098369xa884818741fab532682b5755df4da015
SCRIPT_FILENAME 	/var/mailman/cgi-bin/confirm
PYTHONPATH 	/var/mailman
SERVER_SOFTWARE 	Apache/2.0.46 (Red Hat)
SERVER_ADMIN 	root@localhost
SCRIPT_NAME 	/mailman/confirm
SERVER_SIGNATURE 	
Apache/2.0.46 (Red Hat) Server at server.redhat.com Port 80
REQUEST_METHOD 	POST
HTTP_HOST 	server.redhat.com
HTTP_KEEP_ALIVE 	300
SERVER_PROTOCOL 	HTTP/1.1
QUERY_STRING 	
PATH_TRANSLATED 	/var/www/html/before-upgrade
REQUEST_URI 	/mailman/confirm/before-upgrade
HTTP_ACCEPT 
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,image/png,*/*;q=0.5
HTTP_ACCEPT_CHARSET 	ISO-8859-1,utf-8;q=0.7,*;q=0.7
HTTP_USER_AGENT 	Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041216 Firefox/1.0 Red Hat/1.0-13.EL4
HTTP_CONNECTION 	keep-alive
HTTP_REFERER 
http://server.redhat.com/mailman/confirm/before-upgrade/0645ebf93a9ebc8519f1abc5c3046c88cb921e7a
SERVER_NAME 	server.redhat.com
REMOTE_ADDR 	1XX.XX.XX.XX
REMOTE_PORT 	45908
HTTP_ACCEPT_LANGUAGE 	en-us,en;q=0.5
UNIQUE_ID 	JETCCMCoIJcAAAb8kyQAAAAC
SERVER_PORT 	80
GATEWAY_INTERFACE 	CGI/1.1
HTTP_ACCEPT_ENCODING 	gzip,deflate
SERVER_ADDR 	1XX.XXX.XX.XXX
DOCUMENT_ROOT 	/var/www/html
Comment 1 RHEL Product and Program Management 2007-10-19 15:06:04 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.